%define LANG hu

Summary: Hungarian manual pages
Name: man-pages-%LANG
Version: 0.2.2
Release: 6mdk
License: Distributable
Group: System/Internationalization
URL: http://www.kde.hu/mlp/man/
Source: http://www.kde.hu/mlp/man/man_hu_2001_01_05.tar.bz2
Icon: books-%LANG.xpm
Buildroot: %_tmppath/%name-root
BuildRequires: man => 1.5j-8mdk
Requires: locales-%LANG, man => 1.5j-8mdk
Prereq: sed grep man
Autoreq: false
BuildArch: noarch
Obsoletes: man-%LANG, manpages-%LANG
Provides: man-%LANG, manpages-%LANG

%description 
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP), translated to Hungarian.  The man pages are
organized into the following sections:

        Section 1:  User commands (intro only)                      
        Section 2:  System calls                                    
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)

%prep
%setup -q -n usr
#%setup -n manpages-%LANG
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/%LANG/man{1,2,3,4,5,6,7,8,9,n}
mkdir -p $RPM_BUILD_ROOT/var/catman/%LANG/cat{1,2,3,4,5,6,7,8,9,n}

find man/hu -type f -name "*.gz" -exec gunzip {} \;

for i in 1 2 3 5 7 8; do
	cp -adpvrf man/hu/man$i $RPM_BUILD_ROOT/%_mandir/%LANG/
done

LANG=%LANG DESTDIR=$RPM_BUILD_ROOT /usr/sbin/makewhatis $RPM_BUILD_ROOT/%_mandir/%LANG

mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
cat > $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG=%LANG /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x $RPM_BUILD_ROOT/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  $RPM_BUILD_ROOT/var/cache/man/%LANG


%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LANG, if there isn't any man page
   ## directory /%_mandir/%LANG
   if [ ! -d %_mandir/%LANG ] ; then
       rm -rf /var/catman/%LANG
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,man,755)
#%doc CHANGES README COPYRIGHT
%dir %_mandir/%LANG
%dir /var/cache/man/%LANG
%config(noreplace) /var/cache/man/%LANG/whatis
/%_mandir/%LANG/man*
%attr(755,root,man)/var/catman/%LANG
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.2.2-6mdk
- rebuild

* Mon Jan 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-5mdk
- build release

* Wed May 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-4mdk
- use new man-pages-LG template
    - don't rebuild whatis on install since
      - we've already build in package
      - cron will rebuild it nightly and so add other package french man pages
    - adapt to new man-pages-LG template
    - requires man => 1.5j-8mdk for new man-pages framework
    - remove old makewhatis.%LANG since default makewhatis is now able to parse
      non english man pages
    - use new std makewhatis to build whatis in spec and in cron entry 
    - whatis db goes into /var/cache/man (so enable ro /usr)
    - standard {Build,}Requires/buildroot/prereq/arc/provides/obsoletes
    - default description


* Thu Mar 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.2-3mdk
- fix permission on /usr/share/man/hu/*
- provides manpages-%%LANG
- don't overwrite crontab if user altered it

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 0.2.2-2mdk
- Use %%_tmppath for BuildRoot

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.2-1mdk
- updated by Andras Timar <timar@linux-mandrake.com>

* Tue Jul 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- BM

* Sun Jul 09 2000 Tmr Andrs <timar@linux-mandrake.com> 0.2.0-1mdk
- new release

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-4mdk
- use mandir macro in order to be ok when switching to /usr/share/man as
  following FHS.

* Tue Mar 28 2000 Denis Havlik <denis@mandrakesoft.com> 0.1.0-3mdk
- convert to new group scheme
- add "Prereq: sed grep man"

* Fri Nov 19 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- moved makewhatis.%LANG from /usr/local/sbin to /usr/sbin

* Mon Oct 11 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm for Mandrake

